%{expand: %%define pyver %(python -c 'import sys;print(sys.version[0:3])')}

%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}


%define _version DS1-R36

Summary: Python scriptable CAD package
Name: PythonCAD
Version: %(echo %{_version} |sed 's|DS|0.|'|sed 's|-R|.|')
Release: 10%{?dist}
Group: Applications/Engineering
License: GPLv2+
URL: http://www.pythoncad.org/
Source0: http://www.pythoncad.org/releases/%{name}-%{_version}.tar.bz2
Source1: %{name}.desktop
Patch0: layer.py.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: python-devel


Requires: pygtk2


%description
PythonCAD is a CAD package written, surprisingly enough, in Python. 
The PythonCAD project aims to produce a scriptable, open-source, easy to use 
CAD package for Linux, the various flavors of BSD Unix, commercial Unix, and 
other platforms to which someone who is interested ports the program. Work 
began on PythonCAD in July, 2002, and the first public release was on 
December 21, 2002.


%prep
%setup -q -n %{name}-%{_version}
%patch0 -p0 -b .reserved

cp -p %{SOURCE1} .

%build

## Build mo files
for i in $(find po -name "*.po");do
msgfmt -o $(echo $i|sed 's|.po|.mo|') $i 
done


%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install --root=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pythoncad
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
install -m 0755 -p gtkpycad.py $RPM_BUILD_ROOT%{_bindir}/gtkpycad
install -m 0644 -p prefs.py $RPM_BUILD_ROOT%{_sysconfdir}/pythoncad/
install -m 0644 -p gtkpycad.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/
# E: PythonCAD non-executable-script - remove shebang or fix perm
# {python_sitelib}/PythonCAD/Generic/bindump.py 0644
chmod 0755 $RPM_BUILD_ROOT%{python_sitelib}/PythonCAD/Generic/bindump.py


desktop-file-install --vendor=""                 \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications  \
  %{name}.desktop

# Manual install .mo file
mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale
for i in $(find po -name "*.mo");do
mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale/$(echo $i|sed 's|po/%{name}.||'|sed 's|.mo||')/LC_MESSAGES
install -m 0644 $i $RPM_BUILD_ROOT%{_datadir}/locale/$(echo $i|sed 's|po/%{name}.||'|sed 's|.mo||')/LC_MESSAGES/%{name}.mo
done

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_bindir}/gtk-update-icon-cache -qf %{_datadir}/icons/hicolor &>/dev/null
%{_bindir}/update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%postun
%{_bindir}/gtk-update-icon-cache -qf %{_datadir}/icons/hicolor &>/dev/null
%{_bindir}/update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :


%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING NEWS README TODO
%{_bindir}/gtkpycad
%dir %{_sysconfdir}/pythoncad
# Do not uses (no replace) with prefs.py as users pref is used.
%config %{_sysconfdir}/pythoncad/prefs.py
%exclude %{_sysconfdir}/pythoncad/prefs.py?
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/gtkpycad.png
%{python_sitelib}/PythonCAD/
%{python_sitelib}/*.egg-info


%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.36-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.1.36-9
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.36-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 29 2009 kwizart < kwizart at gmail.com > - 0.1.36-7
- Fix "as" been a reserved keyword starting with python2.6
  Patch from leigh123linux@googlemail.com - #499932

* Wed Mar  4 2009 kwizart < kwizart at gmail.com > - 0.1.36-6
- Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.36-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.1.36-4
- Rebuild for Python 2.6

* Fri Jan  4 2008 kwizart < kwizart at gmail.com > - 0.1.36-3
- Fix for egg-info

* Sun Aug 12 2007 kwizart < kwizart at gmail.com > - 0.1.36-2
- Fix desktop file
- Fix directory ownership

* Mon May 14 2007 kwizart < kwizart at gmail.com > - 0.1.36-1
- Update to DS1-R36 (bugfix)
- Add post & postun section
- Replace config files

* Thu Mar  4 2007 kwizart < kwizart at gmail.com > - 0.1.35-7
- Change Summary
- Fedora Release

* Thu Mar  1 2007 kwizart < kwizart at gmail.com > - 0.1.35-6
- Fix /etc/pythoncad ownership

* Wed Feb 21 2007 kwizart < kwizart at gmail.com > - 0.1.35-5
- Remove python-tools BR
- Build and install locale

* Tue Feb  6 2007 kwizart < kwizart at gmail.com > - 0.1.35-4
- Leave prefs.py? in /etc/pythoncad

* Mon Feb  5 2007 kwizart < kwizart at gmail.com > - 0.1.35-3
- Reviewing in Bugzilla id=225119
- Fix BR, python-devel 

* Tue Jan 30 2007 kwizart < kwizart at gmail.com > - 0.1.35-2
- FE pre-Review enhancement.

* Tue Jan 16 2007 kwizart < kwizart at gmail.com > - 0.1.35-1
- Add fedora distribution spec files rules.
- Cleaned spec file for FE submission.
* Fri Dec 01 2006 D. Scott Barninger <barninger at fairfieldcomputers.com>
- add prefix specification to install
* Sun Oct 01 2006 D. Scott Barninger <barninger at fairfieldcomputers.com>
- release 0.1.34
* Wed Feb 1 2006 Art Haas <ahaas@airmail.net>
- Update version numbers
* Sat Jan 27 2006 D. Scott Barninger <barninger at fairfieldcomputers.com>
- release 0.1.27
* Sat Jan 15 2005 D. Scott Barninger <barninger at fairfieldcomputers.com>
- setup version strings so we don't have to repackage source
* Fri Oct 15 2004 D. Scott Barninger <barninger at fairfieldcomputers.com>
- initial spec file
